The version taken from GnuPG 1.4 assumes any cross-compiled package have
prefixed underscores, which is not the case; by using libtool's own macro,
we can avoid the whole issue.

diff --git a/configure.ac b/configure.ac
index ab160c3..6df49bf 100644
--- a/configure.ac
+++ b/configure.ac
@@ -886,7 +886,7 @@ fi
 #
 # Setup assembler stuff.
 #
-GNUPG_SYS_SYMBOL_UNDERSCORE()
+LT_SYS_SYMBOL_USCORE
 AC_ARG_ENABLE(mpi-path,
               AC_HELP_STRING([--enable-mpi-path=EXTRA_PATH],
 	      [prepend EXTRA_PATH to list of CPU specific optimizations]),
diff --git a/mpi/config.links b/mpi/config.links
index 7e910ee..9696828 100644
--- a/mpi/config.links
+++ b/mpi/config.links
@@ -291,7 +291,7 @@ fi
 
 # Make sysdep.h
 echo '/* created by config.links - do not edit */' >./mpi/sysdep.h
-if test x$ac_cv_sys_symbol_underscore = xyes; then
+if test x$sys_symbol_underscore = xyes; then
     cat <<EOF >>./mpi/sysdep.h
 #if __STDC__
 #define C_SYMBOL_NAME(name) _##name
-- 
1.7.6.1

